Get datamap JSON schema

Retrieves the JSON Schema that belongs to the datamap.

Path Parameters
  • datamapName
    Type: string
    required
Responses
  • application/schema+json
  • 404

    Not found

Request Example for get/extra/v1/definition/datamap/{datamapName}/schema
curl 'https://api.customer.cadasto.io/extra/v1/definition/datamap/{datamapName}/schema' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "Rapportage::datamap::daf4749d-6593-3584-a9e5-778dfe642e67",
  "title": "T0016 Rapportage.v1",
  "type": "object",
  "properties": {
    "Datum en Tijd": {
      "type": "string",
      "rmType": "DV_DATE_TIME",
      "dependencies": [],
      "required": true,
      "format": "date_time",
      "href": "/context/start_time",
      "title": "Context start time"
    },
    "Zorgverlener": {
      "type": "string",
      "rmType": "PARTY_IDENTIFIED/name",
      "dependencies": [],
      "required": false,
      "href": "/content/provider/name",
      "title": "Rapportage",
      "description": "Rapportage Composition"
    },
    "Zorgverlener_uid": {
      "type": "unknown",
      "rmType": "EVALUATION//provider/external_ref/id/value",
      "dependencies": [],
      "required": true,
      "_exception": "Class [OBJECT_ID] not instantiable.",
      "href": "/content/provider/external_ref/id/value",
      "title": "Rapportage",
      "description": "Rapportage Composition"
    },
    "Type Contact": {
      "type": "object",
      "rmType": "DV_CODED_TEXT",
      "dependencies": [],
      "required": false,
      "oneOf": [
        {
          "code": "at0021",
          "value": "Face to face"
        },
        {
          "code": "at0022",
          "value": "Ear to ear"
        },
        {
          "code": "at0023",
          "value": "Bit to Bit"
        },
        {
          "code": "at0024",
          "value": "Geen"
        }
      ],
      "minItems": 0,
      "maxItems": 1,
      "href": "/context/other_context[at0001]/items[at0020]/value",
      "title": "Type contact",
      "description": "Type contact"
    },
    "Rapportage": {
      "type": "string",
      "rmType": "DV_TEXT/value",
      "dependencies": [],
      "required": true,
      "href": "/content/data[at0001]/items[at0002]/value/value",
      "title": "Unknown"
    }
  },
  "additionalProperties": false
}